問題点 (Issue)

Adobe Flash CS5.5/CS6 から書き出した SWF ファイルを、Adobe Dreamweaver CS4/CS5.x/CS6 でページに挿入し、ブラウザーでプレビューすると、以下の警告メッセージが表示されて、SWF を再生できません。

  • 「Adobe Flash Player は潜在的に危険な操作を停止しました。」

理由 (Reason)

この問題は、ページ上に挿入した SWF ファイルの swfversion 値が、コンピューターにインストールされている Flash Player のバージョンよりも高い場合に発生します。

※ 例えば、コンピューターに Flash Player 11 がインストールされている環境で、swfversion の値が 12 に設定されている、など。

解決方法 (Solution)

この問題を解決するには、コンピューターにインストールされている Flash Player のバージョンに合わせて、swfversion 属性の値を変更します。

※ 以下の手順は、コンピューターに Flash Player 11 がインストールされている環境を想定しています。Flash Player 10 以前のバージョンがインストールされている場合は、適宜入力する数値を変更してください。

デザインビューで変更する場合

  1. ページ上の SWF ファイルをクリックして選択します。

  2. プロパティパネルの「パラメーター」ボタンをクリックします。

  3. swfversion の値を変更します。「11.0.0.0」と入力します。

  4. 「OK」をクリックします。

コードビューで変更する場合

<param name="swfversion" value="15.0.0.0" />

上記のタグを以下のように変更します。

<param name="swfversion" value="11.0.0.0">

※ 1 つの SWF に対して、上記のタグは 2 つ含まれていることがあります。その場合は、両方の値を変更してください。

追加情報 (Additional Information)

コンピューターにインストールされている Flash Player のバージョンは、以下の弊社 Web サイトにアクセスして確認することができます。

Adobe Flash Player のバージョンテスト

本作品は Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License によってライセンス許可を受けています。  Twitter™ および Facebook の投稿には、Creative Commons の規約内容は適用されません。

法律上の注意   |   プライバシーポリシー